clan::Colorf Class Reference - ClanLib SDK
Description: clan::Colorf Class Reference

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
clan::Colorf Class Reference
clanDisplay 2D

Floating point color description class (for float). More...

`#include <color.h>`

Inheritance diagram for clan::Colorf:

## Public Member Functions
| Colorf ()
| Constructs a color.
| Colorf (const Color &color)
| Colorf (const float *array_rgba)
| Constructs a color.
| Colorf (const std::string &hexstr)
| Constructs a color.
| Colorf (const Vec4f &color)
| Constructs a color.
| Colorf (float r, float g, float b, float a=1.0f)
| Constructs a color.
| Colorf (int r, int g, int b, int a=255)
| Constructs a color.
| Colorf (unsigned char r, unsigned char g, unsigned char b, unsigned char a=255)
| Constructs a color.
float | get_alpha () const
| Get Alpha.
float | get_blue () const
| Get Blue.
float | get_green () const
| Get Green.
float | get_red () const
| Get Red.
void | normalize ()
| Normalize the color by ensuring that all color values lie inbetween (0.0, 1.0).
| operator Color () const
| Type conversion operator.
bool | operator!= (const Colorf &c) const
| Color != Color operator (deep compare).
bool | operator== (const Colorf &c) const
| Color == Color operator (deep compare).
void | set_alpha (float value)
| Set alpha color component, in the range 0-1.
void | set_blue (float value)
| Set blue color component, in the range 0-1.
void | set_green (float value)
| Set green color component, in the range 0-1.
void | set_red (float value)
| Set red color component, in the range 0-1.
Public Member Functions inherited from clan::Vec4< float >
| Vec4 ()
| Vec4 (const float &p1, const float &p2, const float &p3, const float &p4)
| Vec4 (const float &p1, const float &p2, const Vec2< float > &copy34)
| Vec4 (const float &scalar)
| Vec4 (const float *array_xyzw)
| Vec4 (const Vec2< float > &copy, const float &p3, const float &p4)
| Vec4 (const Vec2< float > &copy, const Vec2< float > &copy34)
| Vec4 (const Vec3< float > &copy, const float &p4)
| Vec4 (const Vec4< float > &copy)=default
| Vec4 (const Vec4< OtherType > &copy)
| Vec4 (const Vec4< OtherType > &copy)
Angle | angle3 (const Vec4< float > &vector) const
| Calculate the angle between this vector and an other vector (not taking into account the w ordinate).
Vec4< float > & | cross3 (const Vec4< float > &vector)
| Calculate the cross product between this vector and an other vector (not taking into account the w ordinate).
float | distance3 (const Vec4< float > &vector) const
| Calculate the distance between this vector and an other vector (not taking into account the w ordinate).
float | distance4 (const Vec4< float > &vector) const
| Calculate the distance between this vector and an other vector (taking into account the w ordinate).
float | dot3 (const Vec4< float > &vector) const
| Dot products this vector with an other vector (not taking into account the w ordinate).
float | dot4 (const Vec4< float > &vector) const
| Dot products this vector with an other vector (taking into account the w ordinate).
bool | is_equal (const Vec4< float > &other, float epsilon) const
| Returns true if equal within the bounds of an epsilon.
float | length3 () const
double | length3 () const
float | length3 () const
| Returns the length (magnitude) of this vector (not taking into account the w ordinate).
float | length4 () const
double | length4 () const
float | length4 () const
| Returns the length (magnitude) of this vector (taking into account the w ordinate).
Vec4< float > & | normalize3 ()
| Normalizes this vector (not taking into account the w ordinate).
Vec4< float > & | normalize4 ()
| Normalizes this vector (taking into account the w ordinate).
bool | operator!= (const Vec4< float > &vector) const
| != operator.
void | operator*= (const Vec4< float > &vector)
| *= operator.
void | operator*= (float value)
| *= operator.
void | operator+= (const Vec4< float > &vector)
| += operator.
void | operator+= (float value)
| += operator.
Vec4< float > | operator- () const
| operator.
void | operator-= (const Vec4< float > &vector)
| -= operator.
void | operator-= (float value)
| -= operator.
void | operator/= (const Vec4< float > &vector)
| /= operator.
void | operator/= (float value)
| /= operator.
bool | operator< (const Vec4< float > &vector) const
| < operator.
Vec4< float > & | operator= (const Vec4< float > &vector)=default
| = operator.
bool | operator== (const Vec4< float > &vector) const
| == operator.
Vec4< float > & | rotate3 (const Angle &angle, const Vec4< float > &axis)
| Rotate this vector around an axis. Same as glRotate[f|d](angle, a);.
Vec4< float > & | round ()
| Rounds all components on this vector.
void | set_xy (const Vec2< float > &new_v)
void | set_zw (const Vec2< float > &new_v)

## Static Public Member Functions
static bool | find_color (const std::string &name, Colorf &out_color)
| Find and returns the static color matching a string.
Static Public Member Functions inherited from clan::Vec4< float >
static Vec4< float > | cross3 (const Vec4< float > &vector1, const Vec4< float > &vector2)
| Calculate the cross product between two vectors (not taking into account the w ordinate).
static float | dot3 (const Vec4< float > &vector1, const Vec4< float > &vector2)
| Dot products between two vectors (not taking into account the w ordinate).
static float | dot4 (const Vec4< float > &vector1, const Vec4< float > &vector2)
| Dot products between two vectors (taking into account the w ordinate).
static bool | is_equal (const Vec4< float > &first, const Vec4< float > &second, float epsilon)
| Returns true if equal within the bounds of an epsilon.
static Vec4< float > | normalize3 (const Vec4< float > &vector)
| Normalizes a vector (not taking into account the w ordinate).
static Vec4< float > | normalize4 (const Vec4< float > &vector)
| Normalizes a vector (taking into account the w ordinate).
static Vec4< float > | rotate3 (const Vec4< float > &vector, const Angle &angle, const Vec4< float > &axis)
| Rotate a vector around an axis. Same as glRotate[f|d](angle, a);.
static Vec4< float > | round (const Vec4< float > &vector)
| Rounds all components on a vector.

## Static Public Attributes
static Colorf | aliceblue
static Colorf | antiquewhite
static Colorf | aqua
static Colorf | aquamarine
static Colorf | azure
static Colorf | beige
static Colorf | bisque
static Colorf | black
static Colorf | blanchedalmond
static Colorf | blue
static Colorf | blueviolet
static Colorf | brown
static Colorf | burlywood
static Colorf | cadetblue
static Colorf | chartreuse
static Colorf | chocolate
static Colorf | coral
static Colorf | cornflowerblue
static Colorf | cornsilk
static Colorf | crimson
static Colorf | cyan
static Colorf | darkblue
static Colorf | darkcyan
static Colorf | darkgoldenrod
static Colorf | darkgray
static Colorf | darkgreen
static Colorf | darkgrey
static Colorf | darkkhaki
static Colorf | darkmagenta
static Colorf | darkolivegreen
static Colorf | darkorange
static Colorf | darkorchid
static Colorf | darkred
static Colorf | darksalmon
static Colorf | darkseagreen
static Colorf | darkslateblue
static Colorf | darkslategray
static Colorf | darkslategrey
static Colorf | darkturquoise
static Colorf | darkviolet
static Colorf | deeppink
static Colorf | deepskyblue
static Colorf | dimgray
static Colorf | dimgrey
static Colorf | dodgerblue
static Colorf | firebrick
static Colorf | floralwhite
static Colorf | forestgreen
static Colorf | fuchsia
static Colorf | gainsboro
static Colorf | ghostwhite
static Colorf | gold
static Colorf | goldenrod
static Colorf | gray
static Colorf | gray10
static Colorf | gray20
static Colorf | gray30
static Colorf | gray40
static Colorf | gray50
static Colorf | gray60
static Colorf | gray70
static Colorf | gray80
static Colorf | gray90
static Colorf | green
static Colorf | greenyellow
static Colorf | grey
static Colorf | honeydew
static Colorf | hotpink
static Colorf | indianred
static Colorf | indigo
static Colorf | ivory
static Colorf | khaki
static Colorf | lavender
static Colorf | lavenderblush
static Colorf | lawngreen
static Colorf | lemonchiffon
static Colorf | lightblue
static Colorf | lightcoral
static Colorf | lightcyan
static Colorf | lightgoldenrodyellow
static Colorf | lightgray
static Colorf | lightgreen
static Colorf | lightgrey
static Colorf | lightpink
static Colorf | lightsalmon
static Colorf | lightseagreen
static Colorf | lightskyblue
static Colorf | lightslategray
static Colorf | lightslategrey
static Colorf | lightsteelblue
static Colorf | lightyellow
static Colorf | lime
static Colorf | limegreen
static Colorf | linen
static Colorf | magenta
static Colorf | maroon
static Colorf | mediumaquamarine
static Colorf | mediumblue
static Colorf | mediumorchid
static Colorf | mediumpurple
static Colorf | mediumseagreen
static Colorf | mediumslateblue
static Colorf | mediumspringgreen
static Colorf | mediumturquoise
static Colorf | mediumvioletred
static Colorf | midnightblue
static Colorf | mintcream
static Colorf | mistyrose
static Colorf | moccasin
static Colorf | navajowhite
static Colorf | navy
static Colorf | oldlace
static Colorf | olive
static Colorf | olivedrab
static Colorf | orange
static Colorf | orangered
static Colorf | orchid
static Colorf | palegoldenrod
static Colorf | palegreen
static Colorf | paleturquoise
static Colorf | palevioletred
static Colorf | papayawhip
static Colorf | peachpuff
static Colorf | peru
static Colorf | pink
static Colorf | plum
static Colorf | powderblue
static Colorf | purple
static Colorf | red
static Colorf | rosybrown
static Colorf | royalblue
static Colorf | saddlebrown
static Colorf | salmon
static Colorf | sandybrown
static Colorf | seagreen
static Colorf | seashell
static Colorf | sienna
static Colorf | silver
static Colorf | skyblue
static Colorf | slateblue
static Colorf | slategray
static Colorf | slategrey
static Colorf | snow
static Colorf | springgreen
static Colorf | steelblue
static Colorf | tan
static Colorf | teal
static Colorf | thistle
static Colorf | tomato
static Colorf | transparent
| rgba(0, 0, 0, 0).
static Colorf | turquoise
static Colorf | violet
static Colorf | wheat
static Colorf | white
static Colorf | whitesmoke
static Colorf | yellow
static Colorf | yellowgreen

## Additional Inherited Members
Public Types inherited from clan::Vec4< float >
typedef float | datatype
Public Attributes inherited from clan::Vec4< float >
union { |
Type g |
Type t |
Type y |
}; |
union { |
Type b |
Type u |
Type z |
}; |
union { |
Type r |
Type s |
Type x |
}; |
union { |
Type a |
Type v |
Type w |
}; |
float | a
float | b
float | g
float | r
float | s
float | t
float | u
float | v
float | w
float | x
float | y
float | z

## Detailed Description

Floating point color description class (for float).

## Constructor & Destructor Documentation

## ◆ Colorf() [1/8]

clan::Colorf::Colorf | ( |  | ) |
| inline

Constructs a color.

Referenced by find_color(), operator!=(), and operator==().

## ◆ Colorf() [2/8]

clan::Colorf::Colorf | ( | float | r,
|  | float | g,
|  | float | b,
|  | float | a = 1.0f )
| inline

Constructs a color.

Color components are specified in the range 0 to 1.
An alpha value of 0 means complete transparency, while 1 means completely opaque (solid).

Parameters

  r | = Red color component.
  g | = Green color component.
  b | = Blue color component.
  a | = Alpha (transparency) color component.

References clan::Vec4< float >::a, clan::Vec4< float >::b, clan::Vec4< float >::g, and clan::Vec4< float >::r.

## ◆ Colorf() [3/8]

clan::Colorf::Colorf | ( | const float * | array_rgba | ) |
| inline

Constructs a color.

Color components are specified in the range 0 to 1.
An alpha value of 0 means complete transparency, while 1 means completely opaque (solid).

Parameters

  array_rgba | = Red,Green,Blue,Alpha color component.

## ◆ Colorf() [4/8]

clan::Colorf::Colorf | ( | const Vec4f & | color | ) |
| inline

Constructs a color.

Parameters

  color | = The color

## ◆ Colorf() [5/8]

clan::Colorf::Colorf | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b,
|  | unsigned char | a = 255 )
| inline

Constructs a color.

Color components are specified in the range 0 to 255.
An alpha value of 0 means complete transparency, while 255 means completely opaque (solid).

Parameters

  r | = Red color component.
  g | = Green color component.
  b | = Blue color component.
  a | = Alpha (transparency) color component.

References clan::Vec4< float >::a, clan::Vec4< float >::b, clan::Vec4< float >::g, and clan::Vec4< float >::r.

## ◆ Colorf() [6/8]

clan::Colorf::Colorf | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a = 255 )
| inline

Constructs a color.

Color components are specified in the range 0 to 255.
An alpha value of 0 means complete transparency, while 255 means completely opaque (solid).

Parameters

  r | = Red color component.
  g | = Green color component.
  b | = Blue color component.
  a | = Alpha (transparency) color component.

References clan::Vec4< float >::a, clan::Vec4< float >::b, clan::Vec4< float >::g, and clan::Vec4< float >::r.

## ◆ Colorf() [7/8]

clan::Colorf::Colorf | ( | const Color & | color | ) |
| inlineexplicit

References get_alpha(), get_blue(), get_green(), and get_red().

## ◆ Colorf() [8/8]

clan::Colorf::Colorf | ( | const std::string & | hexstr | ) |
| inline

Constructs a color.

Parameters

  hexstr | The colors rgba components as a hexadecimal string of the format "#rrggbbaa", where the '#' and "aa" parts are optional.

References find_color().

## Member Function Documentation

## ◆ find_color()

bool clan::Colorf::find_color | ( | const std::string & | name,
|  | Colorf & | out_color )
| static

Find and returns the static color matching a string.

Parameters

  name | Name of color to match, eg. "blue".
  out_color | = Matching static color, or transparent (rgba(0,0,0,0)) if there was no match.

Returns
  false = No match found

References Colorf().

Referenced by Colorf().

## ◆ get_alpha()

float clan::Colorf::get_alpha | ( |  | ) | const
| inline

Get Alpha.

Returns
  alpha

References clan::Vec4< float >::a.

Referenced by Colorf().

## ◆ get_blue()

float clan::Colorf::get_blue | ( |  | ) | const
| inline

Get Blue.

Returns
  blue

References clan::Vec4< float >::b.

Referenced by Colorf().

## ◆ get_green()

float clan::Colorf::get_green | ( |  | ) | const
| inline

Get Green.

Returns
  green

References clan::Vec4< float >::g.

Referenced by Colorf().

## ◆ get_red()

float clan::Colorf::get_red | ( |  | ) | const
| inline

Get Red.

Returns
  red

References clan::Vec4< float >::r.

Referenced by Colorf().

## ◆ normalize()

void clan::Colorf::normalize | ( |  | ) |
| inline

Normalize the color by ensuring that all color values lie inbetween (0.0, 1.0).

References clan::Vec4< float >::a, clan::Vec4< float >::b, clan::Vec4< float >::g, and clan::Vec4< float >::r.

## ◆ operator Color()

clan::Colorf::operator Color | ( |  | ) | const
| inline

Type conversion operator.

## ◆ operator!=()

bool clan::Colorf::operator!= | ( | const Colorf & | c | ) | const
| inline

Color != Color operator (deep compare).

References Colorf(), clan::Vec4< float >::a, clan::Vec4< float >::b, clan::c, clan::Vec4< float >::g, and clan::Vec4< float >::r.

## ◆ operator==()

bool clan::Colorf::operator== | ( | const Colorf & | c | ) | const
| inline

Color == Color operator (deep compare).

References Colorf(), clan::Vec4< float >::a, clan::Vec4< float >::b, clan::c, clan::Vec4< float >::g, and clan::Vec4< float >::r.

## ◆ set_alpha()

void clan::Colorf::set_alpha | ( | float | value | ) |
| inline

Set alpha color component, in the range 0-1.

References clan::Vec4< float >::a.

## ◆ set_blue()

void clan::Colorf::set_blue | ( | float | value | ) |
| inline

Set blue color component, in the range 0-1.

References clan::Vec4< float >::b.

## ◆ set_green()

void clan::Colorf::set_green | ( | float | value | ) |
| inline

Set green color component, in the range 0-1.

References clan::Vec4< float >::g.

## ◆ set_red()

void clan::Colorf::set_red | ( | float | value | ) |
| inline

Set red color component, in the range 0-1.

References clan::Vec4< float >::r.

## Member Data Documentation

## ◆ aliceblue

Colorf clan::Colorf::aliceblue
| static

rgb(240, 248, 255).

## ◆ antiquewhite

Colorf clan::Colorf::antiquewhite
| static

rgb(250, 235, 215).

## ◆ aqua

Colorf clan::Colorf::aqua
| static

rgb( 0, 255, 255).

## ◆ aquamarine

Colorf clan::Colorf::aquamarine
| static

rgb(127, 255, 212).

## ◆ azure

Colorf clan::Colorf::azure
| static

rgb(240, 255, 255).

## ◆ beige

Colorf clan::Colorf::beige
| static

rgb(245, 245, 220).

## ◆ bisque

Colorf clan::Colorf::bisque
| static

rgb(255, 228, 196).

## ◆ black

Colorf clan::Colorf::black
| static

rgb( 0, 0, 0).

## ◆ blanchedalmond

Colorf clan::Colorf::blanchedalmond
| static

rgb(255, 235, 205).

## ◆ blue

Colorf clan::Colorf::blue
| static

rgb( 0, 0, 255).

## ◆ blueviolet

Colorf clan::Colorf::blueviolet
| static

rgb(138, 43, 226).

## ◆ brown

Colorf clan::Colorf::brown
| static

rgb(165, 42, 42).

## ◆ burlywood

Colorf clan::Colorf::burlywood
| static

rgb(222, 184, 135).

## ◆ cadetblue

Colorf clan::Colorf::cadetblue
| static

rgb( 95, 158, 160).

## ◆ chartreuse

Colorf clan::Colorf::chartreuse
| static

rgb(127, 255, 0).

## ◆ chocolate

Colorf clan::Colorf::chocolate
| static

rgb(210, 105, 30).

## ◆ coral

Colorf clan::Colorf::coral
| static

rgb(255, 127, 80).

## ◆ cornflowerblue

Colorf clan::Colorf::cornflowerblue
| static

rgb(100, 149, 237).

## ◆ cornsilk

Colorf clan::Colorf::cornsilk
| static

rgb(255, 248, 220).

## ◆ crimson

Colorf clan::Colorf::crimson
| static

rgb(220, 20, 60).

## ◆ cyan

Colorf clan::Colorf::cyan
| static

rgb( 0, 255, 255).

## ◆ darkblue

Colorf clan::Colorf::darkblue
| static

rgb( 0, 0, 139).

## ◆ darkcyan

Colorf clan::Colorf::darkcyan
| static

rgb( 0, 139, 139).

## ◆ darkgoldenrod

Colorf clan::Colorf::darkgoldenrod
| static

rgb(184, 134, 11).

## ◆ darkgray

Colorf clan::Colorf::darkgray
| static

rgb(169, 169, 169).

## ◆ darkgreen

Colorf clan::Colorf::darkgreen
| static

rgb( 0, 100, 0).

## ◆ darkgrey

Colorf clan::Colorf::darkgrey
| static

rgb(169, 169, 169).

## ◆ darkkhaki

Colorf clan::Colorf::darkkhaki
| static

rgb(189, 183, 107).

## ◆ darkmagenta

Colorf clan::Colorf::darkmagenta
| static

rgb(139, 0, 139).

## ◆ darkolivegreen

Colorf clan::Colorf::darkolivegreen
| static

rgb( 85, 107, 47).

## ◆ darkorange

Colorf clan::Colorf::darkorange
| static

rgb(255, 140, 0).

## ◆ darkorchid

Colorf clan::Colorf::darkorchid
| static

rgb(153, 50, 204).

## ◆ darkred

Colorf clan::Colorf::darkred
| static

rgb(139, 0, 0).

## ◆ darksalmon

Colorf clan::Colorf::darksalmon
| static

rgb(233, 150, 122).

## ◆ darkseagreen

Colorf clan::Colorf::darkseagreen
| static

rgb(143, 188, 143).

## ◆ darkslateblue

Colorf clan::Colorf::darkslateblue
| static

rgb( 72, 61, 139).

## ◆ darkslategray

Colorf clan::Colorf::darkslategray
| static

rgb( 47, 79, 79).

## ◆ darkslategrey

Colorf clan::Colorf::darkslategrey
| static

rgb( 47, 79, 79).

## ◆ darkturquoise

Colorf clan::Colorf::darkturquoise
| static

rgb( 0, 206, 209).

## ◆ darkviolet

Colorf clan::Colorf::darkviolet
| static

rgb(148, 0, 211).

## ◆ deeppink

Colorf clan::Colorf::deeppink
| static

rgb(255, 20, 147).

## ◆ deepskyblue

Colorf clan::Colorf::deepskyblue
| static

rgb( 0, 191, 255).

## ◆ dimgray

Colorf clan::Colorf::dimgray
| static

rgb(105, 105, 105).

## ◆ dimgrey

Colorf clan::Colorf::dimgrey
| static

rgb(105, 105, 105).

## ◆ dodgerblue

Colorf clan::Colorf::dodgerblue
| static

rgb( 30, 144, 255).

## ◆ firebrick

Colorf clan::Colorf::firebrick
| static

rgb(178, 34, 34).

## ◆ floralwhite

Colorf clan::Colorf::floralwhite
| static

rgb(255, 250, 240).

## ◆ forestgreen

Colorf clan::Colorf::forestgreen
| static

rgb( 34, 139, 34).

## ◆ fuchsia

Colorf clan::Colorf::fuchsia
| static

rgb(255, 0, 255).

## ◆ gainsboro

Colorf clan::Colorf::gainsboro
| static

rgb(220, 220, 220).

## ◆ ghostwhite

Colorf clan::Colorf::ghostwhite
| static

rgb(248, 248, 255).

## ◆ gold

Colorf clan::Colorf::gold
| static

rgb(255, 215, 0).

## ◆ goldenrod

Colorf clan::Colorf::goldenrod
| static

rgb(218, 165, 32).

## ◆ gray

Colorf clan::Colorf::gray
| static

rgb(128, 128, 128).

## ◆ gray10

Colorf clan::Colorf::gray10
| static

## ◆ gray20

Colorf clan::Colorf::gray20
| static

## ◆ gray30

Colorf clan::Colorf::gray30
| static

## ◆ gray40

Colorf clan::Colorf::gray40
| static

## ◆ gray50

Colorf clan::Colorf::gray50
| static

## ◆ gray60

Colorf clan::Colorf::gray60
| static

## ◆ gray70

Colorf clan::Colorf::gray70
| static

## ◆ gray80

Colorf clan::Colorf::gray80
| static

## ◆ gray90

Colorf clan::Colorf::gray90
| static

## ◆ green

Colorf clan::Colorf::green
| static

rgb( 0, 128, 0).

## ◆ greenyellow

Colorf clan::Colorf::greenyellow
| static

rgb(173, 255, 47).

## ◆ grey

Colorf clan::Colorf::grey
| static

rgb(128, 128, 128).

## ◆ honeydew

Colorf clan::Colorf::honeydew
| static

rgb(240, 255, 240).

## ◆ hotpink

Colorf clan::Colorf::hotpink
| static

rgb(255, 105, 180).

## ◆ indianred

Colorf clan::Colorf::indianred
| static

rgb(205, 92, 92).

## ◆ indigo

Colorf clan::Colorf::indigo
| static

rgb( 75, 0, 130).

## ◆ ivory

Colorf clan::Colorf::ivory
| static

rgb(255, 255, 240).

## ◆ khaki

Colorf clan::Colorf::khaki
| static

rgb(240, 230, 140).

## ◆ lavender

Colorf clan::Colorf::lavender
| static

rgb(230, 230, 250).

## ◆ lavenderblush

Colorf clan::Colorf::lavenderblush
| static

rgb(255, 240, 245).

## ◆ lawngreen

Colorf clan::Colorf::lawngreen
| static

rgb(124, 252, 0).

## ◆ lemonchiffon

Colorf clan::Colorf::lemonchiffon
| static

rgb(255, 250, 205).

## ◆ lightblue

Colorf clan::Colorf::lightblue
| static

rgb(173, 216, 230).

## ◆ lightcoral

Colorf clan::Colorf::lightcoral
| static

rgb(240, 128, 128).

## ◆ lightcyan

Colorf clan::Colorf::lightcyan
| static

rgb(224, 255, 255).

## ◆ lightgoldenrodyellow

Colorf clan::Colorf::lightgoldenrodyellow
| static

rgb(250, 250, 210).

## ◆ lightgray

Colorf clan::Colorf::lightgray
| static

rgb(211, 211, 211).

## ◆ lightgreen

Colorf clan::Colorf::lightgreen
| static

rgb(144, 238, 144).

## ◆ lightgrey

Colorf clan::Colorf::lightgrey
| static

rgb(211, 211, 211).

## ◆ lightpink

Colorf clan::Colorf::lightpink
| static

rgb(255, 182, 193).

## ◆ lightsalmon

Colorf clan::Colorf::lightsalmon
| static

rgb(255, 160, 122).

## ◆ lightseagreen

Colorf clan::Colorf::lightseagreen
| static

rgb( 32, 178, 170).

## ◆ lightskyblue

Colorf clan::Colorf::lightskyblue
| static

rgb(135, 206, 250).

## ◆ lightslategray

Colorf clan::Colorf::lightslategray
| static

rgb(119, 136, 153).

## ◆ lightslategrey

Colorf clan::Colorf::lightslategrey
| static

rgb(119, 136, 153).

## ◆ lightsteelblue

Colorf clan::Colorf::lightsteelblue
| static

rgb(176, 196, 222).

## ◆ lightyellow

Colorf clan::Colorf::lightyellow
| static

rgb(255, 255, 224).

## ◆ lime

Colorf clan::Colorf::lime
| static

rgb( 0, 255, 0).

## ◆ limegreen

Colorf clan::Colorf::limegreen
| static

rgb( 50, 205, 50).

## ◆ linen

Colorf clan::Colorf::linen
| static

rgb(250, 240, 230).

## ◆ magenta

Colorf clan::Colorf::magenta
| static

rgb(255, 0, 255).

## ◆ maroon

Colorf clan::Colorf::maroon
| static

rgb(128, 0, 0).

## ◆ mediumaquamarine

Colorf clan::Colorf::mediumaquamarine
| static

rgb(102, 205, 170).

## ◆ mediumblue

Colorf clan::Colorf::mediumblue
| static

rgb( 0, 0, 205).

## ◆ mediumorchid

Colorf clan::Colorf::mediumorchid
| static

rgb(186, 85, 211).

## ◆ mediumpurple

Colorf clan::Colorf::mediumpurple
| static

rgb(147, 112, 219).

## ◆ mediumseagreen

Colorf clan::Colorf::mediumseagreen
| static

rgb( 60, 179, 113).

## ◆ mediumslateblue

Colorf clan::Colorf::mediumslateblue
| static

rgb(123, 104, 238).

## ◆ mediumspringgreen

Colorf clan::Colorf::mediumspringgreen
| static

rgb( 0, 250, 154).

## ◆ mediumturquoise

Colorf clan::Colorf::mediumturquoise
| static

rgb( 72, 209, 204).

## ◆ mediumvioletred

Colorf clan::Colorf::mediumvioletred
| static

rgb(199, 21, 133).

## ◆ midnightblue

Colorf clan::Colorf::midnightblue
| static

rgb( 25, 25, 112).

## ◆ mintcream

Colorf clan::Colorf::mintcream
| static

rgb(245, 255, 250).

## ◆ mistyrose

Colorf clan::Colorf::mistyrose
| static

rgb(255, 228, 225).

## ◆ moccasin

Colorf clan::Colorf::moccasin
| static

rgb(255, 228, 181).

## ◆ navajowhite

Colorf clan::Colorf::navajowhite
| static

rgb(255, 222, 173).

## ◆ navy

Colorf clan::Colorf::navy
| static

rgb( 0, 0, 128).

## ◆ oldlace

Colorf clan::Colorf::oldlace
| static

rgb(253, 245, 230).

## ◆ olive

Colorf clan::Colorf::olive
| static

rgb(128, 128, 0).

## ◆ olivedrab

Colorf clan::Colorf::olivedrab
| static

rgb(107, 142, 35).

## ◆ orange

Colorf clan::Colorf::orange
| static

rgb(255, 165, 0).

## ◆ orangered

Colorf clan::Colorf::orangered
| static

rgb(255, 69, 0).

## ◆ orchid

Colorf clan::Colorf::orchid
| static

rgb(218, 112, 214).

## ◆ palegoldenrod

Colorf clan::Colorf::palegoldenrod
| static

rgb(238, 232, 170).

## ◆ palegreen

Colorf clan::Colorf::palegreen
| static

rgb(152, 251, 152).

## ◆ paleturquoise

Colorf clan::Colorf::paleturquoise
| static

rgb(175, 238, 238).

## ◆ palevioletred

Colorf clan::Colorf::palevioletred
| static

rgb(219, 112, 147).

## ◆ papayawhip

Colorf clan::Colorf::papayawhip
| static

rgb(255, 239, 213).

## ◆ peachpuff

Colorf clan::Colorf::peachpuff
| static

rgb(255, 218, 185).

## ◆ peru

Colorf clan::Colorf::peru
| static

rgb(205, 133, 63).

## ◆ pink

Colorf clan::Colorf::pink
| static

rgb(255, 192, 203).

## ◆ plum

Colorf clan::Colorf::plum
| static

rgb(221, 160, 221).

## ◆ powderblue

Colorf clan::Colorf::powderblue
| static

rgb(176, 224, 230).

## ◆ purple

Colorf clan::Colorf::purple
| static

rgb(128, 0, 128).

## ◆ red

Colorf clan::Colorf::red
| static

rgb(255, 0, 0).

## ◆ rosybrown

Colorf clan::Colorf::rosybrown
| static

rgb(188, 143, 143).

## ◆ royalblue

Colorf clan::Colorf::royalblue
| static

rgb( 65, 105, 225).

## ◆ saddlebrown

Colorf clan::Colorf::saddlebrown
| static

rgb(139, 69, 19).

## ◆ salmon

Colorf clan::Colorf::salmon
| static

rgb(250, 128, 114).

## ◆ sandybrown

Colorf clan::Colorf::sandybrown
| static

rgb(244, 164, 96).

## ◆ seagreen

Colorf clan::Colorf::seagreen
| static

rgb( 46, 139, 87).

## ◆ seashell

Colorf clan::Colorf::seashell
| static

rgb(255, 245, 238).

## ◆ sienna

Colorf clan::Colorf::sienna
| static

rgb(160, 82, 45).

## ◆ silver

Colorf clan::Colorf::silver
| static

rgb(192, 192, 192).

## ◆ skyblue

Colorf clan::Colorf::skyblue
| static

rgb(135, 206, 235).

## ◆ slateblue

Colorf clan::Colorf::slateblue
| static

rgb(106, 90, 205).

## ◆ slategray

Colorf clan::Colorf::slategray
| static

rgb(112, 128, 144).

## ◆ slategrey

Colorf clan::Colorf::slategrey
| static

rgb(112, 128, 144).

## ◆ snow

Colorf clan::Colorf::snow
| static

rgb(255, 250, 250).

## ◆ springgreen

Colorf clan::Colorf::springgreen
| static

rgb( 0, 255, 127).

## ◆ steelblue

Colorf clan::Colorf::steelblue
| static

rgb( 70, 130, 180).

## ◆ tan

Colorf clan::Colorf::tan
| static

rgb(210, 180, 140).

## ◆ teal

Colorf clan::Colorf::teal
| static

rgb( 0, 128, 128).

## ◆ thistle

Colorf clan::Colorf::thistle
| static

rgb(216, 191, 216).

## ◆ tomato

Colorf clan::Colorf::tomato
| static

rgb(255, 99, 71).

## ◆ transparent

Colorf clan::Colorf::transparent
| static

rgba(0, 0, 0, 0).

## ◆ turquoise

Colorf clan::Colorf::turquoise
| static

rgb( 64, 224, 208).

## ◆ violet

Colorf clan::Colorf::violet
| static

rgb(238, 130, 238).

## ◆ wheat

Colorf clan::Colorf::wheat
| static

rgb(245, 222, 179).

## ◆ white

Colorf clan::Colorf::white
| static

rgb(255, 255, 255).

## ◆ whitesmoke

Colorf clan::Colorf::whitesmoke
| static

rgb(245, 245, 245).

## ◆ yellow

Colorf clan::Colorf::yellow
| static

rgb(255, 255, 0).

## ◆ yellowgreen

Colorf clan::Colorf::yellowgreen
| static

rgb(154, 205, 50).

The documentation for this class was generated from the following file:

- color.h